\section{Infrastructure}
\label{sec:infrastructure}

\person{Gunnar Wolf}{Local team coordinator}
Making DebConf 6 successful was in many respects not an easy task
-- getting the proper infrastructure ended up being not only a
key task involving working closely with our valuable sponsors and
friends, but also required being very creative and even stubborn.
\begin{figure}[h]
\includegraphics[width=\columnwidth]{images/photos/maulkin_cabling}
\imcap{Network preparation}
\end{figure}
Oaxtepec was chosen to host DebConf as it is one of the most inviting
and complete convention centers in Mexico. One of DebConf's main goals
is to enhance the social interaction between Debian developers,
to help them better work as a team. Spending the full conference in a
beautiful place, isolated from the city noise and distractions, seemed
ideal -- but holding a technology-intensive conference in a semi-rural
area brings with it quite a challenge.

A reliable, high-bandwidth connection is one of the most important requirements
for DebConf. Aware of that, the local team started researching
into the available service providers in the area. We had to aggregate
five high-speed links to get to the bare minimum bandwidth we agreed
was required to operate. And the connection had to be delivered, for
technical reasons, to the outside of the convention center's
premises. Setting up a reliable wireless link was a stressful
activity, and at times we thought we would not make it --- but, again,
thanks to intense volunteer effort, the attendees were able to work
together to make it work.
\section{Network details}
\label{sec:network_details}

\person{Joerg Jaspert}{Co-organiser, head admin}
\begin{figure}[h]
\includegraphics[width=\columnwidth]{images/photos/ganneff_debconf_hotel}

\imcap{Oaxtepec hotel area}
\end{figure}
When we arrived in Oaxtepec, Mexico, we found the hotel area as shown in the
hotel picture. The stadium on the left-hand side should help you imagine how
large the area is. Our task as the network team was to provide network
access throughout as much of the hotel area as possible.

The central server room was located at the bottom right, whereas most
sleeping rooms were in the building in the top left, and the
talk rooms were further away still, so far that they aren't shown on this
image. The initial plan was to get a network cable to every point where
we wanted to have a wireless access point, using about 600m of
cable. In the end we used about 1800m of cables to get abount 90\% of the
area connected, most of it using the great wireless access points
sponsored by Aruba. One unexpected positive was that we ended up being
able to use a fibre link to the talk rooms -- via 10mbit hubs.

As already mentioned earlier by Gunnar, we had to run multiple links to the
outside world, to get to the required minimum bandwidth.
\begin{quotation}
\textbf{It seems 5 times 2 has a different result in Mexico from
  elsewhere: here you get 7.5 MBit/s out of five 2 MBit/s internet links.}
\end{quotation}
Those links had to terminate outside the hotel area, which meant we needed to get
them to us somehow. Naturally that meant using wireless networking, and
people proceeded to try to get the connections together. As usual Murphy had
something to say: there was a big tree directly between us
and the place where we had our uplinks. Which was not exactly helpful.
\begin{figure}[h]
\includegraphics[width=\columnwidth]{images/photos/ganneff_uplink1}

\imcap{Direct line of sight to uplink, from a 30--40m high point}
\end{figure}
The local people sorted that out, by using someone else's roof, which had
a direct line of sight to the hotel area. The equipment used for this
connection to our uplink was hand-built by the local team, and as far as
I know worked way out of any technical regulations you usually encounter
for wireless devices. This meant that even after a storm made an
antenna send its data down towards the ground instead of up to our
receiver, we still had a link. It wasn't a perfect link -- we got around
70\% packet loss -- but it was still a working link.
\begin{quotation}
\textbf{Due to some uplink problems I started a local IRC server on a
server once. Within 2 minutes of announcing it to the attendees the
whole hacklab turned silent \dots}
\end{quotation}
As we never had enough access points, power cords and other network
related hardware, we made a sign asking for such stuff. The response was
great, a lot of people did lend us their equipment, so we could enhance
the network.
% Keep this at the bottom, thanks.
% Local Variables:
% TeX-master: "dc6-report"
% End:
